%define api_version 1
%define lib_major   114
%define lib_name    %mklibname gsf- %{api_version} %{lib_major}
%define develname    %mklibname -d gsf- %{api_version}

Summary: GNOME Structured File library
Name: libgsf
Version: 1.14.18
Release: %mkrel 1
Epoch: 1
Group: System/Libraries
License: LGPLv2
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch: libgsf-1.14.11-format-string.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.gnumeric.org
BuildRequires: libbonobo2_x-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: popt-devel
BuildRequires: pygtk2.0-devel
BuildRequires: gtk-doc
BuildRequires: intltool

%description
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}

%description -n %{lib_name}
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %develname
Summary: Support files necessary to compile applications with libgsf
Group: Development/C
Requires: %{lib_name} = %epoch:%{version}
Provides: %{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides: %{name}-devel = %epoch:%{version}-%{release}
Requires: libxml2-devel
Requires: libglib2-devel
Obsoletes: %mklibname -d gsf- 1 114

%description -n %develname
Libraries, headers, and support files necessary to compile
applications using libgsf.


%package -n python-libgsf
Summary:  Python bindings for libgsf
Group: Development/Python
Requires: pygtk2.0

%description -n python-libgsf
A library for reading and writing structured files (eg MS OLE and Zip).

%prep

%setup -q
%patch -p1

%build

%configure2_5x --enable-gtk-doc

%make

%install
rm -rf $RPM_BUILD_ROOT libgsf.lang

%makeinstall_std

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgsf
%find_lang libgsf

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{lib_name}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{lib_name}
%endif

%if %mdkversion < 200900
%post
%post_install_gconf_schemas gsf-office-thumbnailer
%endif
 
%preun
%preun_uninstall_gconf_schemas gsf-office-thumbnailer

%files -f libgsf.lang
%defattr(-,root,root)
%doc README
%{_sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas
%_bindir/gsf
%_bindir/gsf-vba-dump
%{_bindir}/gsf-office-thumbnailer
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libgsf*-%{api_version}.so.%{lib_major}*

%files -n %develname
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/gsf
%{_libdir}/*.so
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n python-libgsf
%defattr(-,root,root)
%py_platsitedir/gsf/
%py_puresitedir/gsf/

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Thu Apr 08 2010 Götz Waschk <waschk@mandriva.org> 1:1.14.18-1mdv2010.1
+ Revision: 532883
- update build deps
- update to new version 1.14.18

* Sun Feb 14 2010 Götz Waschk <waschk@mandriva.org> 1:1.14.17-1mdv2010.1
+ Revision: 505611
- update to new version 1.14.17

* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.16-1mdv2010.0
+ Revision: 456724
- update to new version 1.14.16

* Sat Jun 20 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.15-1mdv2010.0
+ Revision: 387478
- update to new version 1.14.15

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.14.14-1mdv2010.0
+ Revision: 379148
- update to new version 1.14.14

* Thu May 07 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.13-1mdv2010.0
+ Revision: 372796
- update to new version 1.14.13

* Mon Apr 27 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.12-1mdv2010.0
+ Revision: 369049
- update to new version 1.14.12

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.11-1mdv2009.1
+ Revision: 326458
- new version
- fix format string

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 1:1.14.10-2mdv2009.1
+ Revision: 319682
- use makeinstall_std
- rebuild for new python

* Sun Oct 19 2008 Götz Waschk <waschk@mandriva.org> 1:1.14.10-1mdv2009.1
+ Revision: 295261
- update to new version 1.14.10

* Sun Aug 31 2008 Götz Waschk <waschk@mandriva.org> 1:1.14.9-1mdv2009.0
+ Revision: 277781
- new version
- update license
- update build deps

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 1:1.14.8-3mdv2009.0
+ Revision: 227421
- rebuild for fixed %%update_icon_cache/%%clean_icon_cache/%%post_install_gconf_schemas
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1:1.14.8-2mdv2009.0
+ Revision: 222878
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 1:1.14.8-1mdv2008.1
+ Revision: 180316
- new version

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1:1.14.7-2mdv2008.1
+ Revision: 150687
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Götz Waschk <waschk@mandriva.org> 1:1.14.7-1mdv2008.0
+ Revision: 81960
- new version
- new devel name

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 1:1.14.6-1mdv2008.0
+ Revision: 79219
- new version

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 1:1.14.5-1mdv2008.0
+ Revision: 51224
- new version
- fix build

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 1:1.14.4-1mdv2008.0
+ Revision: 40841
- new version


* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 1.14.3-1mdv2007.0
+ Revision: 77034
- new version

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 1:1.14.2-3mdv2007.1
+ Revision: 64780
- fix file list for x86_64
- rebuild
- Import libgsf

* Thu Oct 05 2006 Gtz Waschk <waschk@mandriva.org> 1.14.2-1mdv2007.0
- add python package
- New version 1.14.2

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.14.1-2mdv2007.0
- Rebuild with latest dbus

* Tue May 09 2006 Götz Waschk <waschk@mandriva.org> 1:1.14.1-1mdk
- New release 1.14.1

* Thu Mar 02 2006 Gtz Waschk <waschk@mandriva.org> 1.14.0-1mdk
- new major
- New release 1.14.0

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.13.3-3mdk
- Fix schema install/uninstall (copy/paste is bad sometimes ;)

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.13.3-2mdk
- Use mkrel

* Mon Nov 07 2005 Götz Waschk <waschk@mandriva.org> 1.13.3-1mdk
- New release 1.13.3

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 1.13.2-2mdk
- fix major

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 1.13.2-1mdk
- New release 1.13.2

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 1.12.3-1mdk
- Release 1.12.3

* Thu Aug 18 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.12.2-2mdk
- add BuildRequires: perl-XML-Parser

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 1.12.2-1mdk
- update file list
- enable gtk-doc
- New release 1.12.2

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-1mdk 
- Switch back to 1.12.1

* Thu Jun 09 2005 Gtz Waschk <waschk@mandriva.org> 1:1.11.1-1mdk
- back to 1.11.1

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 1.12.0-1mdk
- New release 1.12.0

* Fri Jan 21 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.11.1-1mdk
- New release 1.11.1

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.10.1-1mdk
- New release 1.10.1

* Tue Jul 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.10.0-1mdk
- reenable libtooliz
- New release 1.10.0

* Tue May 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.9.1-1mdk
- fix gtk-doc location
- drop patch
- New release 1.9.1

* Thu May 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-1mdk
- New release 1.9.0

